/*
 * motor.h
 *
 * Created: 8/19/2020 6:14:16 PM
 *  Author: Penguin
 */ 
#ifndef _MOTOR_H_
#define _MOTOR_H_

#include "boaty.h"
typedef enum motor_state_t
{
	MS_STOP = 0,
	MS_FORWARD = 1,
	MS_REVERSE = 2
}motor_state_t;

void motor_init(void);
void motor_run(void);
void motor_update_state(motor_state_t state);

#endif